#ifndef CLMOBILELOGIN_H
#define CLMOBILELOGIN_H

#include <QWidget>

namespace Ui {
class clMobileLogin;
}

enum class ML_BTN_TYPE
{
    mbt_downloadApp = 1,
    mbt_bindUser
};

class clMobileLogin : public QWidget
{
    Q_OBJECT

public:
    explicit clMobileLogin(QWidget *parent = nullptr);
    ~clMobileLogin();

    void setUI(const int nLeft, const int nTop, const int nWidth, const int nHeight);
private slots:
    void on_btn_downloadApp_clicked();

    void on_btn_bindUser_clicked();

private:
    void setBtnDown(ML_BTN_TYPE type);

    Ui::clMobileLogin *ui;
};

#endif // CLMOBILELOGIN_H
